<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/AnalysisScripts/PlotCellPredictions.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_d65d22fc4d73692fd6c0dd70c1faec78.html">AnalysisScripts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PlotCellPredictions.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../df/d10/_plot_cell_predictions_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;% ======================================================================</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;%from the first stage i.e. singlecell_estimates</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;% ======================================================================</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">function</span> [simulatedData,observedData]= <a class="code" href="../../df/d10/_plot_cell_predictions_8m.html#a191b7b0e6f46c17d2d1898aed2e2c5f7">PlotCellPredictions</a>(singlecell_estimates,cellid,nsamp,ModelStruct)</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;%addpath(genpath([<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;Projects&#39;</span>,filesep,ModelStruct.name]))</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;%addpath(genpath([<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;Dependencies&#39;</span>,filesep,<span class="stringliteral">&#39;AMICI&#39;</span>]))</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;%addpath(genpath([<span class="stringliteral">&#39;..&#39;</span>,filesep]))</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="../../df/d10/_plot_cell_predictions_8m.html#a191b7b0e6f46c17d2d1898aed2e2c5f7">   12</a></span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;intopts=singlecell_estimates(cellid).int_opts;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;CellPMean=singlecell_estimates(cellid).params;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;if ~isfield(singlecell_estimates,&#39;Post_Var&#39;)</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;CellPUnc=<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(singlecell_estimates(cellid).Hessian);</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;else</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;CellPUnc=<a class="code" href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a>(singlecell_estimates(cellid).Post_Var);</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;end</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;simParams=mvnrnd(CellPMean,CellPUnc,nsamp);</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;simulatedData=[];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;texp=singlecell_estimates(cellid).t;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;for i=1:nsamp</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    [t,y]=<a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a>(texp,simParams(i,:),[],[],intopts,[]);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    [ntimes,nobs]=size(y);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    y=reshape(y,ntimes*nobs,1);</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    yid=reshape(repmat(1:nobs,ntimes,1),ntimes*nobs,1);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    t=repmat(t,nobs*ntimes/length(t),1);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    data_sim=[t,y,yid,repmat(i,length(y),1)];</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    simulatedData=cat(1,simulatedData,data_sim);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;end</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;simulatedData=array2table(simulatedData,&#39;VariableNames&#39;,{<span class="stringliteral">&#39;Time&#39;</span>,<span class="charliteral">&#39;Y&#39;</span>,<span class="stringliteral">&#39;YID&#39;</span>,<span class="stringliteral">&#39;Sim_ID&#39;</span>});</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;observedData=singlecell_estimates(cellid).dat;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;observedData.Time=singlecell_estimates(i).t;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_stable_inverse_8m_html_ae25b5a84ac67e3f37713d82beb789f4e"><div class="ttname"><a href="../../d7/d6f/get_stable_inverse_8m.html#ae25b5a84ac67e3f37713d82beb789f4e">getStableInverse</a></div><div class="ttdeci">function getStableInverse(in inpMat)</div><div class="ttdoc">getStableInverse gets the inverse of a matrix. First Cholesky is tried. If that fails,...</div></div>
<div class="ttc" id="a_projects_2_llamosi2016_2_user_fns_2call_simulation_8m_html_a675cf3332f7c9140d55c01870b188396"><div class="ttname"><a href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a></div><div class="ttdeci">function callSimulation(in varargin)</div></div>
<div class="ttc" id="a_plot_cell_predictions_8m_html_a191b7b0e6f46c17d2d1898aed2e2c5f7"><div class="ttname"><a href="../../df/d10/_plot_cell_predictions_8m.html#a191b7b0e6f46c17d2d1898aed2e2c5f7">PlotCellPredictions</a></div><div class="ttdeci">function PlotCellPredictions(in singlecell_estimates, in cellid, in nsamp, in ModelStruct)</div><div class="ttdoc">PlotCellPredictions is a function simulates the observables in a cell.</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
